This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 10746 - [WebSRT voice] What's the point of failing in "collect WebSRT cue voice and text"?
Summary: [WebSRT voice] What's the point of failing in "collect WebSRT cue voice and t...
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on: 10320
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-26 09:36 UTC by contributor
Modified: 2012-07-18 18:48 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2010-09-26 09:36:51 UTC
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#parsing-0

Comment:
What's the point of failing in "collect WebSRT cue voice and text"?

Posted from: 95.209.26.119
Comment 1 Philip J├Ągenstedt 2010-09-26 10:20:44 UTC
Special cases like this are mostly annoying for implementors and authors, so there should be a good reason for it. IMO, it would be simpler to just handle empty cues. Someone will eventually try to use empty cues for some metadata purpose and even if that's easy to work around, it's better to simply have it work.
Comment 2 Ian 'Hixie' Hickson 2010-09-29 07:47:49 UTC
I'll fix this when I fix the voices feature in bug 10320.
Comment 3 Ian 'Hixie' Hickson 2010-12-15 23:10:05 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: made it not fail
Rationale: There is no point failing here.

The fix won't show for a while as the updater tool is temporarily broken.